package com.system.serivce;

import com.system.transfer.response.RestResponse;
import com.system.transfer.lic.*;

import javax.servlet.http.HttpServletResponse;

/**
 * @author Inori
 */
public interface ILicInfoService {

    /**
     * Lic信息列表
     *
     * @param inVo 条件
     * @return 列表
     */
    LicInfoListOutVo licInfoList(LicInfoListInVo inVo);

    /**
     * Lic信息创建
     *
     * @param inVo 条件
     */
    void licInfoCreate(LicInfoCreateInVo inVo);

    /**
     * Lic信息更新
     *
     * @param inVo 条件
     */
    void licInfoUpdate(LicInfoUpdateInVo inVo);

    /**
     * Lic信息删除
     *
     * @param inVo 条件
     */
    void licInfoDelete(LicInfoDeleteInVo inVo);

    /**
     * Lic信息文件生成
     *
     * @param inVo     条件
     * @param response 流
     * @return 结果
     */
    RestResponse licInfoFileCreate(LicInfoFileCreateInVo inVo, HttpServletResponse response);

   String licInfoCreate(String macAddress) throws Exception;
}
